/*
 *  Copyright (C) 2003 Ricardo Fernndez Pascual
 *
 *  Based on egg-toggle-action from libegg , which does not have copyright header.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GALEON_TOGGLE_ACTION_H
#define GALEON_TOGGLE_ACTION_H

#include "galeon-action.h"

#define GALEON_TYPE_TOGGLE_ACTION		(galeon_toggle_action_get_type ())
#define GALEON_TOGGLE_ACTION(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
						 GALEON_TYPE_TOGGLE_ACTION, GaleonToggleAction))
#define GALEON_TOGGLE_ACTION_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GALEON_TYPE_TOGGLE_ACTION, \
						 GaleonToggleActionClass))
#define GALEON_IS_TOGGLE_ACTION(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GALEON_TYPE_TOGGLE_ACTION))
#define GALEON_IS_TOGGLE_ACTION_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GALEON_TYPE_TOGGLE_ACTION))
#define GALEON_TOGGLE_ACTION_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), GALEON_TYPE_TOGGLE_ACTION, \
						 GaleonToggleActionClass))

typedef struct _GaleonToggleAction      GaleonToggleAction;
typedef struct _GaleonToggleActionClass GaleonToggleActionClass;

struct _GaleonToggleAction
{
	GaleonAction parent;
	
	guint active : 1;
};

struct _GaleonToggleActionClass
{
	GaleonActionClass parent_class;
	
	void	(* toggled)	(GaleonToggleAction *action);
};

GType		galeon_toggle_action_get_type   (void);

void		galeon_toggle_action_toggled    (GaleonToggleAction *action);
void		galeon_toggle_action_set_active (GaleonToggleAction *action,
						 gboolean is_active);
gboolean	galeon_toggle_action_get_active (GaleonToggleAction *action);

#endif
